<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::RenderSystem Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#877089932688a144c6979f648d8768fc">_applyObliqueDepthProjection</a>(Matrix4 &amp;matrix, const Plane &amp;plane, bool forGpuProgram)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#80b7ab32b8f82cf340c47d55f6e69881">_beginFrame</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#385581061b5d8d9af914d0439392aa62">_beginGeometryCount</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#dedbeb77d3def3967ee1a55c32d16a2b">_convertProjectionMatrix</a>(const Matrix4 &amp;matrix, Matrix4 &amp;dest, bool forGpuProgram=false)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#058d6805142fce7ec095a018447cbe33">_disableTextureUnit</a>(size_t texUnit)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#68e0ecb23c3eba58b5aeb06d646ce4cd">_disableTextureUnitsFrom</a>(size_t texUnit)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ad966c6f361ac75304c1e03f9ec384c4">_endFrame</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#f7ed3c5ecb53897d3a17fc4d4b92e560">_getBatchCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#def5117e5f28fb39e04b59181558a970">_getCullingMode</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#4405cc3651219c6422d04c9b3d843d32">_getFaceCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#0e59f9845067742cf26b04037b0ce332">_getVertexCount</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a0cf9dc2df0748f3076c5f8f1f8064db">_getViewport</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#83ca87a7c74baff1db1a9ff6ec61ba54">_initRenderTargets</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a18aad4d16f0448f1fa5a4fcdb224e4a">_makeOrthoMatrix</a>(const Radian &amp;fovy, Real aspect, Real nearPlane, Real farPlane, Matrix4 &amp;dest, bool forGpuProgram=false)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#d401520ec851d8a1577b97d9ba3924e1">_makeProjectionMatrix</a>(const Radian &amp;fovy, Real aspect, Real nearPlane, Real farPlane, Matrix4 &amp;dest, bool forGpuProgram=false)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a2bd398cb2fef4d6e68c251fab6a80da">_makeProjectionMatrix</a>(Real left, Real right, Real bottom, Real top, Real nearPlane, Real farPlane, Matrix4 &amp;dest, bool forGpuProgram=false)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ecceb6f1a7d3113de8676d20e39260dc">_notifyCameraRemoved</a>(const Camera *cam)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#64961cc3cdc616beb264c51d532c94c1">_render</a>(const RenderOperation &amp;op)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#56e85a9dc46ccb408c2940be6ba8b5f3">_setAlphaRejectSettings</a>(CompareFunction func, unsigned char value)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#14f37eed62a9283df3f83241f7c0991a">_setColourBufferWriteEnabled</a>(bool red, bool green, bool blue, bool alpha)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#8342819c24002599851457e459744561">_setCullingMode</a>(CullingMode mode)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#56beb1cebbf7f1ac372c666657a151cb">_setDepthBias</a>(float constantBias, float slopeScaleBias=0.0f)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#20c5b31b647e3cb6acc5742e75c34b22">_setDepthBufferCheckEnabled</a>(bool enabled=true)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#577ced6409b614ab393ca377052a385f">_setDepthBufferFunction</a>(CompareFunction func=CMPF_LESS_EQUAL)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#49c162dc3d9b86e37d9085c0ab1e28c6">_setDepthBufferParams</a>(bool depthTest=true, bool depthWrite=true, CompareFunction depthFunction=CMPF_LESS_EQUAL)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#00bd48a7ba0a2a919586c3b8548d2433">_setDepthBufferWriteEnabled</a>(bool enabled=true)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#271a8850ebd5072986b15e875a1a4f44">_setFog</a>(FogMode mode=FOG_NONE, const ColourValue &amp;colour=ColourValue::White, Real expDensity=1.0, Real linearStart=0.0, Real linearEnd=1.0)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#6ca319dee8eb1693186b85bbb423533f">_setPointParameters</a>(Real size, bool attenuationEnabled, Real constant, Real linear, Real quadratic, Real minSize, Real maxSize)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#7cca254fe5034f59e9d4dc4b9dc95742">_setPointSpritesEnabled</a>(bool enabled)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#175e831e73f7c539f843907971836125">_setPolygonMode</a>(PolygonMode level)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#968dffb7114639b2c3aa39f6323fd66e">_setProjectionMatrix</a>(const Matrix4 &amp;m)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#bf639b982318a0211e98329e0c22fc32">_setSceneBlending</a>(SceneBlendFactor sourceFactor, SceneBlendFactor destFactor)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ca86be508b2afbbe67e2eac635ac640d">_setSurfaceParams</a>(const ColourValue &amp;ambient, const ColourValue &amp;diffuse, const ColourValue &amp;specular, const ColourValue &amp;emissive, Real shininess, TrackVertexColourType tracking=TVC_NONE)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#2cb551bfdd04b7426f73a84cbcbc93f7">_setTexture</a>(size_t unit, bool enabled, const TexturePtr &amp;texPtr)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#aa2dacc8b8fc28c649a8a603d1f5909c">_setTexture</a>(size_t unit, bool enabled, const String &amp;texname)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#67b3f87c6ef12e5b24812eeb61635308">_setTextureAddressingMode</a>(size_t unit, const TextureUnitState::UVWAddressingMode &amp;uvw)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#33ce98658bb9f6fdb1aca70c8041ef81">_setTextureBlendMode</a>(size_t unit, const LayerBlendModeEx &amp;bm)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#d771e198662c3316b13b2c86caff6f2e">_setTextureBorderColour</a>(size_t unit, const ColourValue &amp;colour)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#8f37341fd724098023aa0be0850302b0">_setTextureCoordCalculation</a>(size_t unit, TexCoordCalcMethod m, const Frustum *frustum=0)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#d8ca02fa31e477271f35054173e1836b">_setTextureCoordSet</a>(size_t unit, size_t index)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ba523c0055a520d25fd7f08683e3c98e">_setTextureLayerAnisotropy</a>(size_t unit, unsigned int maxAnisotropy)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#1212c8aa766ec3b309ee2216bec0ef88">_setTextureMatrix</a>(size_t unit, const Matrix4 &amp;xform)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#99f92ad60c2da38c7dfcf3f429e65572">_setTextureMipmapBias</a>(size_t unit, float bias)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#dbc64c669661f87ee2f8db8dd18a0fe5">_setTextureUnitFiltering</a>(size_t unit, FilterOptions minFilter, FilterOptions magFilter, FilterOptions mipFilter)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#1f0f550def3f4caa1173ed6eb0d09031">_setTextureUnitFiltering</a>(size_t unit, FilterType ftype, FilterOptions filter)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#d504623eff0678f9f79b075f32673414">_setTextureUnitSettings</a>(size_t texUnit, TextureUnitState &amp;tl)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#f40bfb084b051d8433b0893921613ba7">_setVertexTexture</a>(size_t unit, const TexturePtr &amp;tex)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#8cdef3669e7f8e87d6fc8db1ad102f1e">_setViewMatrix</a>(const Matrix4 &amp;m)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#7d7f7d706450808859f338352c5e9cd0">_setViewport</a>(Viewport *vp)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#9442fcdf97b2723c588dee0489f2aefc">_setWorldMatrices</a>(const Matrix4 *m, unsigned short count)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#97cfab83fc9bf9e3df7e2d5ea6fae5c5">_setWorldMatrix</a>(const Matrix4 &amp;m)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#e4302962a31dd6e0f74e8078fbe3819b">_updateAllRenderTargets</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#c8e632a4d601721d18f7a6758c9fc0af">_useLights</a>(const LightList &amp;lights, unsigned short limit)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#da5d01c8a4eb8e64140d92fce245800c">addListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#e3aa9e2fd13e2b066f3f2f56018bd4be">attachRenderTarget</a>(RenderTarget &amp;target)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#e8144a770f5bbe9390928abf24d37b16">bindGpuProgram</a>(GpuProgram *prg)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#09ad156f8a00e59fd6528a8f0204900c">bindGpuProgramParameters</a>(GpuProgramType gptype, GpuProgramParametersSharedPtr params)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#e1f7904fe5f6a1d39fe8a0621dab7509">bindGpuProgramPassIterationParameters</a>(GpuProgramType gptype)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ae6b073aaf42ecea55bb972fd5166f42">clearFrameBuffer</a>(unsigned int buffers, const ColourValue &amp;colour=ColourValue::Black, Real depth=1.0f, unsigned short stencil=0)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#80d543b61b1152b0dd0049961be4798e">convertColourValue</a>(const ColourValue &amp;colour, uint32 *pDest)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#2b7725995f951adff614db3874c8566c">createHardwareOcclusionQuery</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#857191a1acd18fd25498517bf183efe2">createMultiRenderTarget</a>(const String &amp;name)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#607cc7cf1cda8a94506993c3319e40df">createRenderTexture</a>(const String &amp;name, unsigned int width, unsigned int height, TextureType texType=TEX_TYPE_2D, PixelFormat internalFormat=PF_X8R8G8B8, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#c2ce125c267ffa8f8347f31c962d93c4">createRenderWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#c4c60bf4c5d4347fd2b9346a90545e2b">destroyHardwareOcclusionQuery</a>(HardwareOcclusionQuery *hq)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#43a03671d1c7efd7e95100d77080eb8c">destroyRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#354ceaa02574d1cf68dcb5999b34df50">destroyRenderTexture</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#65ddf1db4aa3f463e0479c240ffc3dc5">destroyRenderWindow</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#38e818fa1817fd1cfec8655b7702e230">detachRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#38ce5ab7c10173b20741a62378b82de1">enableClipPlane</a>(ushort index, bool enable)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#739194f14f07f7860f26af9a07fa1ce2">fireEvent</a>(const String &amp;name, const NameValuePairList *params=0)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#1ea7609b7337a8b184c4348b09d5c46a">getCapabilities</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#71bc0ec1bf3837dbcf7f4aa39849bb40">getColourVertexElementType</a>(void) const =0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#7a6236866e64cc19c078383b43872aa8">getConfigOptions</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#847238effa8920edf9aee7aa5b8cd7be">getErrorDescription</a>(long errorNumber) const =0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#6d706602114e1e4835890cfa4aa6eb2f">getHorizontalTexelOffset</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#19ea5b0880338661d1162987a22ab827">getMaximumDepthInputValue</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#5ab53272b5edee4565c05caa605061d3">getMinimumDepthInputValue</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#19b810b6fe61b526010812e9af80bf63">getName</a>(void) const =0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#8f3b7402316e7162fb5778235fc6e2f2">getRenderSystemEvents</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#313d7af5018e65802d96aa7124700db7">getRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#2e8f34e7464302fbce845f1d3fd468c8">getRenderTargetIterator</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#18238c4b41bfaab6ca5f5e19e20d0d55">getVerticalTexelOffset</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#16bc1ae27d9e3cdf9cfffdb4ed4724c6">getWaitForVerticalBlank</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#8f7260f2196b08677b2a233f9f7ef8e5">getWBufferEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#b56b367e25b74e95e6ad773a282c494d">HardwareOcclusionQueryList</a> typedef</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#53f610134bc829532f2becc3ab731165">initialise</a>(bool autoCreateWindow, const String &amp;windowTitle=&quot;OGRE Render Window&quot;)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#1ac003196b5b51384f714924a0041081">isGpuProgramBound</a>(GpuProgramType gptype)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a1072468272ad965dbc651aa8fc09031">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#5b9972dd9bb47c45732ad1c82c55817d">mActiveFragmentGpuProgramParameters</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#398254faea8f9fe6454abb38eee5b3f4">mActiveRenderTarget</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#e98e8807b322bccf0eb160afdb54537e">mActiveVertexGpuProgramParameters</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#122f2e8cbddd313582f05677f5a26b1c">mActiveViewport</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#039fe39c5374812e776c677404f00898">mBatchCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#522d538a97121d370fcecbc63f4330e6">mCapabilities</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#60ce74b29c3e1c9e11041029117a85ad">mCullingMode</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#179ea5dd6f5b8f1430ebc10dd582fdb8">mCurrentPassIterationCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#9a071dab9e9b40bfde6d2e85cb363274">mDisabledTexUnitsFrom</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#d0cf554e93303c9305d3446eb2efb411">mEventListeners</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#b213f4023f49f961377aa52c8c11acc3">mEventNames</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a735bd71b568209de09adfa86b737737">mFaceCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#79ba9d85873031a65a9548e65e50109d">mFragmentProgramBound</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#7bb1437e3f40cda2bb1495b51ba88791">mHwOcclusionQueries</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#df3d0f2e777d97e2032ef01cb1b3ecee">mInvertVertexWinding</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a40237e355676bb7024fccd8699eee96">mManualBlendColours</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#69c3a5daa75ce78fd56226941f1c8126">mPrioritisedRenderTargets</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#5ea599be4da15690178a9aca2261e992">mRenderTargets</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#80f14e152184bddc68f8ae05bcefb3be">mTextureManager</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#0716f3fd1349f7c4399d805d03e4c394">mVertexCount</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#69173bf6d120d39f702c5de9e0815218">mVertexProgramBound</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#c0df5de57fa3480f74c98c65a7211a30">mVSync</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#7c4ad7937f023a43ee43473750d2bfe9">mWBuffer</a></td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#460fb2b67acdea8e3a72933e0348a82d">postExtraThreadsStarted</a>()=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#77766da49c29112c390fde51069f543a">preExtraThreadsStarted</a>()=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#ae6874b97f0b5cb00e0bf32e10652540">registerThread</a>()=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#32e21b240c7b6c75eab05cbc870f9868">reinitialise</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#7d9e3b4369f98e46dbea4cb4b9390f9d">removeListener</a>(Listener *l)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#3391b683d588628272d8d9de633e472e">RenderSystem</a>()</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#50a15a7bbc1beca5c91b6584a3060f1b">RenderTargetIterator</a> typedef</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#b11411028dca873b5739bb42460ce47a">setAmbientLight</a>(float r, float g, float b)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#b764514b118554f4809bc90586d3fcb1">setClipPlane</a>(ushort index, const Plane &amp;p)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#6d6a9645cc86b3135769481c5be2f2d2">setClipPlane</a>(ushort index, Real A, Real B, Real C, Real D)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#0d777410ee67c7e6cc6a4444028742f9">setClipPlanes</a>(const PlaneList &amp;clipPlanes)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#606200a27a8adebfa62b3e388a49cf39">setConfigOption</a>(const String &amp;name, const String &amp;value)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#f6ac17b9d69f3bced84094a7b380611e">setCurrentPassIterationCount</a>(const size_t count)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#0a0b42f82a637acb3df7fba70c1291aa">setInvertVertexWinding</a>(bool invert)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#5a94b198cfcd383839ea54de695d1700">setLightingEnabled</a>(bool enabled)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a9ab2a6569fe30ab63a4714ec58933b4">setNormaliseNormals</a>(bool normalise)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#e0cf822105945ccbdc87a071c220be57">setScissorTest</a>(bool enabled, size_t left=0, size_t top=0, size_t right=800, size_t bottom=600)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#5f59ae6268d2cdcc664d161db7f57ea5">setShadingType</a>(ShadeOptions so)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#86cd01946283fa411208b04197b883a3">setStencilBufferParams</a>(CompareFunction func=CMPF_ALWAYS_PASS, uint32 refValue=0, uint32 mask=0xFFFFFFFF, StencilOperation stencilFailOp=SOP_KEEP, StencilOperation depthFailOp=SOP_KEEP, StencilOperation passOp=SOP_KEEP, bool twoSidedOperation=false)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#4b259bf4d4e5878ae8066e073d859287">setStencilCheckEnabled</a>(bool enabled)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#5f72d5fd9f4af2d29096acb1de95f0e7">setVertexBufferBinding</a>(VertexBufferBinding *binding)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#873dc2bc43f8a842fd08b6c7b9dfaabe">setVertexDeclaration</a>(VertexDeclaration *decl)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#a18ec4f5823ecb28f2cccdee85e5337c">setWaitForVerticalBlank</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#01c339f6e89d82b526fb7725424a4263">setWBufferEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#987cf400154a21403b4ff5192d423971">shutdown</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#045731ce43fe553744e69664d5d648b3">unbindGpuProgram</a>(GpuProgramType gptype)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#64138779fab3c6b157f2de40c3831e10">unregisterThread</a>()=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#8b7b29f3b542c7cbaeb5da0c1269a388">updatePassIterationRenderState</a>(void)</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#b19828ac45b10a64357d8b9fc0918351">validateConfigOptions</a>(void)=0</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1RenderSystem.html#785f83ff8a4ee8fb21a11c9d6fe5c928">~RenderSystem</a>()</td><td><a class="el" href="classOgre_1_1RenderSystem.html">Ogre::RenderSystem</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:13 2008
</p>
</body>
</html>
